# Generated by Django 3.1.2 on 2021-06-13 14:50

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('api', '0027_auto_20201113_2122'),
    ]

    operations = [
        migrations.CreateModel(
            name='TransactionUp2Pay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transaction_reference', models.CharField(max_length=35, null=True, unique=True, validators=[
                    django.core.validators.RegexValidator('^[0-9a-zA-Z]*$',
                                                          'Only alphanumeric characters are allowed.')])),
                ('amount', models.IntegerField(verbose_name='Montant (centimes)')),
                ('normal_return_url', models.URLField(max_length=1023, verbose_name='URL de retour client')),
                ('transaction_datetime', models.DateTimeField(null=True, verbose_name='Date du paiement')),
                ('response_code', models.CharField(max_length=5, null=True, verbose_name='Code de réponse')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Date de création')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='Date de mise à jour')),
                ('status', models.CharField(
                    choices=[('CREATED', 'CREATED'), ('PAYING', 'PAYING'), ('PAYED', 'PAYED'),
                             ('PAYMENT_FAILED', 'PAYMENT_FAILED'), ('FAILED', 'FAILED')], default='CREATED',
                    max_length=63, verbose_name='État')),
                ('issuer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='transactions',
                                             to='api.member', verbose_name='Adhérent')),
                ('membership',
                 models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='transactions_m',
                                   to='api.membership', verbose_name='adhésion à payer')),
            ],
            options={
                'verbose_name': 'Transaction Up2Pay',
                'verbose_name_plural': 'Transactions Up2Pay',
            },
        ),
    ]
